clang-tools 3.8.0

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Functions
ClangQuery.cpp File Reference
`#include "Query.h"`
`#include "QueryParser.h"`
`#include "QuerySession.h"`
`#include "clang/Frontend/ASTUnit.h"`
`#include "clang/Tooling/CommonOptionsParser.h"`
`#include "clang/Tooling/Tooling.h"`
`#include "llvm/LineEditor/LineEditor.h"`
`#include "llvm/Support/CommandLine.h"`
`#include "llvm/Support/MemoryBuffer.h"`
`#include "llvm/Support/Signals.h"`
`#include <fstream>`
`#include <string>`
Include dependency graph for ClangQuery.cpp:

Go to the source code of this file.

## Functions
static cl::extrahelp | CommonHelp (CommonOptionsParser::HelpMessage)
static cl::OptionCategory | ClangQueryCategory ("clang-query options")
static cl::list< std::string > | Commands ("c", cl::desc("Specify command to run"), cl::value_desc("command"), cl::cat(ClangQueryCategory))
static cl::list< std::string > | CommandFiles ("f", cl::desc("Read commands from file"), cl::value_desc("file"), cl::cat(ClangQueryCategory))
int | main (int argc, const char **argv)

## Function Documentation

static cl::OptionCategory ClangQueryCategory | ( | "clang-query options" |  | ) |
| static

Referenced by main().

static cl::list<std::string> CommandFiles | ( | "f" | ,
|  | cl:: | desc"Read commands from file",
|  | cl:: | value_desc"file",
|  | cl:: | catClangQueryCategory
| ) |  |
| static

Referenced by main().

static cl::list<std::string> Commands | ( | "c" | ,
|  | cl:: | desc"Specify command to run",
|  | cl:: | value_desc"command",
|  | cl:: | catClangQueryCategory
| ) |  |
| static

Referenced by main().

static cl::extrahelp CommonHelp | ( | CommonOptionsParser::HelpMessage |  | ) |
| static

int main | ( | int | argc,
|  | const char ** | argv
| ) |  |

Definition at line 61 of file ClangQuery.cpp.

References ClangQueryCategory(), CommandFiles(), Commands(), Line, and clang::query::QuerySession::Terminate.